#ifndef _H_ABC3FB404C2BDDC874D0CDD091E14D35_JoyFeedback__H_
#define _H_ABC3FB404C2BDDC874D0CDD091E14D35_JoyFeedback__H_

#include "sacpp_mapping.h"
#include "cpp_dcps_if.h"


namespace sensor_msgs
{
    namespace msg
    {
        namespace dds_
        {
            namespace JoyFeedback_Constants
            {
                const ::DDS::Octet TYPE_LED_ = 0;

                const ::DDS::Octet TYPE_RUMBLE_ = 1;

                const ::DDS::Octet TYPE_BUZZER_ = 2;

            }

            struct  JoyFeedback_
            {
                ::DDS::Octet type_;
                ::DDS::Octet id_;
                ::DDS::Float intensity_;
            };

            typedef DDS_DCPSStruct_var<JoyFeedback_> JoyFeedback__var;
            typedef JoyFeedback_& JoyFeedback__out;

        }

    }

}

#endif /* _H_ABC3FB404C2BDDC874D0CDD091E14D35_JoyFeedback__H_ */
