#ifndef _H_061FE078D5FC933E7D5CF21A1E559D3A_NavSatStatus__H_
#define _H_061FE078D5FC933E7D5CF21A1E559D3A_NavSatStatus__H_

#include "sacpp_mapping.h"
#include "cpp_dcps_if.h"


namespace sensor_msgs
{
    namespace msg
    {
        namespace dds_
        {
            namespace NavSatStatus_Constants
            {
                const ::DDS::Octet STATUS_NO_FIX_ = 255;

                const ::DDS::Octet STATUS_FIX_ = 0;

                const ::DDS::Octet STATUS_SBAS_FIX_ = 1;

                const ::DDS::Octet STATUS_GBAS_FIX_ = 2;

                const ::DDS::UShort SERVICE_GPS_ = 1U;

                const ::DDS::UShort SERVICE_GLONASS_ = 2U;

                const ::DDS::UShort SERVICE_COMPASS_ = 4U;

                const ::DDS::UShort SERVICE_GALILEO_ = 8U;

            }

            struct  NavSatStatus_
            {
                ::DDS::Octet status_;
                ::DDS::UShort service_;
            };

            typedef DDS_DCPSStruct_var<NavSatStatus_> NavSatStatus__var;
            typedef NavSatStatus_& NavSatStatus__out;

        }

    }

}

#endif /* _H_061FE078D5FC933E7D5CF21A1E559D3A_NavSatStatus__H_ */
