#ifndef _H_F8E48CFACF7A07E431A1E21D4FC6EB85_PointCloud__H_
#define _H_F8E48CFACF7A07E431A1E21D4FC6EB85_PointCloud__H_

#include "sacpp_mapping.h"
#include "cpp_dcps_if.h"
#include "std_msgs/msg/dds_opensplice/Header_.h"
#include "geometry_msgs/msg/dds_opensplice/Point32_.h"
#include "sensor_msgs/msg/dds_opensplice/ChannelFloat32_.h"


namespace sensor_msgs
{
    namespace msg
    {
        namespace dds_
        {
            struct  PointCloud_
            {
                struct _points__seq_uniq_{};
                typedef DDS_DCPSUFLSeq< ::geometry_msgs::msg::dds_::Point32_, struct _points__seq_uniq_ > _points__seq;
                typedef DDS_DCPSSequence_var< _points__seq > _points__seq_var;
                typedef DDS_DCPSSequence_out< _points__seq > _points__seq_out;
                struct _channels__seq_uniq_{};
                typedef DDS_DCPSUVLSeq< ::sensor_msgs::msg::dds_::ChannelFloat32_, struct _channels__seq_uniq_ > _channels__seq;
                typedef DDS_DCPSSequence_var< _channels__seq > _channels__seq_var;
                typedef DDS_DCPSSequence_out< _channels__seq > _channels__seq_out;
                ::std_msgs::msg::dds_::Header_ header_;
                _points__seq points_;
                _channels__seq channels_;
            };

            typedef DDS_DCPSStruct_var<PointCloud_> PointCloud__var;
            typedef DDS_DCPSStruct_out < PointCloud_> PointCloud__out;

        }

    }

}

#endif /* _H_F8E48CFACF7A07E431A1E21D4FC6EB85_PointCloud__H_ */
